apiVersion: apps/v1
kind: Deployment
metadata:
  name: ubuntu-with-volumes
spec:
  selector:
    matchLabels:
      app: ubuntu-with-volumes
  replicas: 1
  template:
    metadata:
      labels:
        app: ubuntu-with-volumes
    spec:
      containers:
        - name: ubuntu-with-volumes
          image: ubuntu
          command: ["/bin/bash"]
          tty: true
          stdin: true
          volumeMounts:
          - mountPath: "/volume_01"
            name: volume-01
          - mountPath: "/volume_02"
            name: volume-02
      volumes:
      - name: volume-01
        persistentVolumeClaim:
          claimName: ota-tdx-treehub-data-ota-tdx-treehub-0
      - name: volume-02
        persistentVolumeClaim:
          claimName: temp-treehub-pvc
      dnsPolicy: "ClusterFirst"
